Show / Hide Table of Contents

# Class CriticalSection

Provides utilities for managing various critical sections.

##### Inheritance

Object
CriticalSection

##### Inherited Members

Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Utilities

###### Assembly: IPA.Loader.dll

##### Syntax

    public static class CriticalSection

### Methods

| Improve this Doc View Source

#### EnterExecuteSection()

Enters a critical execution section. Does not nest.

##### Declaration

    public static void EnterExecuteSection()

| Improve this Doc View Source

#### ExecuteSection()

Creates an CriticalSection.AutoExecuteSection for automated management of an execute section.

##### Declaration

    public static CriticalSection.AutoExecuteSection ExecuteSection()

##### Returns

Type | Description
--- | ---
CriticalSection.AutoExecuteSection | the new CriticalSection.AutoExecuteSection that manages the section

| Improve this Doc View Source

#### ExitExecuteSection()

Exits a critical execution section. Does not nest.

##### Declaration

    public static void ExitExecuteSection()